curl -X GET "https://api.whatabot.app/api/v1/clients?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "client-uuid",
"clientId": "wb_client_abc123",
"name": "My SaaS Embed",
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}
Clientes OAuth
Listar Clientes
Liste todos os clientes OAuth.
GET
/
v1
/
clients
curl -X GET "https://api.whatabot.app/api/v1/clients?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "client-uuid",
"clientId": "wb_client_abc123",
"name": "My SaaS Embed",
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}
Liste todos os clientes OAuth com paginação.
string
obrigatório
Sua chave de API (prefixada com
wh_).integer
padrão:"0"
Número da página (começa em 0).
integer
padrão:"10"
Quantidade de itens por página (1-100).
curl -X GET "https://api.whatabot.app/api/v1/clients?page=0&size=10" \
-H "X-Api-Key: wh_your_api_key"
{
"content": [
{
"id": "client-uuid",
"clientId": "wb_client_abc123",
"name": "My SaaS Embed",
"active": true,
"createdAt": "2025-01-15T10:00:00.000Z",
"updatedAt": "2025-01-15T10:00:00.000Z"
}
],
"totalElements": 1,
"totalPages": 1,
"number": 0,
"size": 10,
"first": true,
"last": true
}